"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RecordLockingListLockRecords = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _error = require("@webiny/error");
var _createRecordLockingClient = require("./utils/createRecordLockingClient");
var _listLockRecords = require("./graphql/listLockRecords");
var RecordLockingListLockRecords = exports.RecordLockingListLockRecords = /*#__PURE__*/function () {
  function RecordLockingListLockRecords(params) {
    (0, _classCallCheck2.default)(this, RecordLockingListLockRecords);
    this.client = (0, _createRecordLockingClient.createRecordLockingClient)(params.client);
  }
  return (0, _createClass2.default)(RecordLockingListLockRecords, [{
    key: "execute",
    value: async function execute(params) {
      var where = params.where,
        sort = params.sort,
        limit = params.limit,
        after = params.after;
      var result = await this.client.query({
        query: _listLockRecords.LIST_LOCK_RECORDS,
        variables: {
          where: where,
          sort: sort,
          limit: limit,
          after: after
        }
      });
      if (!result.data?.recordLocking?.listLockRecords) {
        throw new _error.WebinyError("No data returned from server.");
      }
      return result.data.recordLocking.listLockRecords;
    }
  }]);
}();

//# sourceMappingURL=RecordLockingListLockRecords.js.map